
.--container {
  margin: 0 auto;
  max-width: calc(100% - 50px);
  width: 100%;
}

.wp-block-buttons {
  display: flex;
  margin-top: 50px;
}

.wp-block-button {
  background: #101820;
  border: 1px solid #ffffff;
  overflow: hidden;
}
.wp-block-button__link {
  color: #ffffff;
  display: block;
  font: 500 16px/1em sans-serif;
  padding: 24px 40px;
  position: relative;
  text-decoration: none;
  text-transform: uppercase;
  transform: translateX(-8px);
  transition: transform 0.5s cubic-bezier(0.19, 1, 0.22, 1);
  z-index: 1;
}
.wp-block-button__link::before {
  height: 100%;
  left: -50%;
  position: absolute;
  top: 0;
  width: 200%;
  z-index: 2;
}
.wp-block-button__link::after {
  background: #ff5d3d;
  border-radius: 50%;
  content: "";
  height: 12px;
  margin-top: -7px;
  position: absolute;
  right: 32px;
  top: 50%;
  transform: translateX(16px);
  transition: opacity 0.4s, transform 0.5s cubic-bezier(0.19, 1, 0.22, 1);
  width: 12px;
  z-index: -1;
}
.wp-block-button__link:hover {
  transform: translateX(0);
}
.wp-block-button__link:hover::after {
  opacity: 0;
  transform: translateX(8px) scale(2);
}

.slider {
  position: relative;
  z-index: 1;
}
.slider__item {
  height: 100vh;
  position: relative;
  z-index: 1;
}
.slider__title {
  left: 10%;
  position: absolute;
  text-align: center;
  top: 50%;
  transform: translateY(-50%);
  width: 80%;
  z-index: 2;
}
.slider__title h2 {
  font-size: clamp(36px, 9.6vw, 96px);
  font-weight: 300;
  text-transform: uppercase;
}
.slider__title p {
  font-family: serif;
  font-size: 24px;
}
.slider__title p span + span::before {
  background: currentColor;
  /*border-radius: 50%;*/
  /*display: inline-block;*/
  content: "";
  height: 10px;
  margin: 0 14px 0 10px;
  width: 10px;
}
.slider__metas {
  display: none;
  font-weight: 300;
  list-style: none;
  position: absolute;
  right: 5%;
  text-align: right;
  text-transform: uppercase;
  top: 50%;
  transform: translateY(-50%);
  width: 10%;
  z-index: 2;
}
.slider__metas li {
  margin: 30px 0;
}
.slider__thumbnail {
  bottom: 25px;
  left: 25px;
  overflow: hidden;
  position: absolute;
  right: 25px;
  top: 25px;
  z-index: 1;
}
.slider__thumbnail div {
  background: #070707;
  height: 110%;
  left: -5%;
  position: relative;
  top: -5%;
  width: 110%;
}
.slider img {
  display: block;
  height: 100%;
  object-fit: cover;
  opacity: 0.5;
  width: 100%;
}
.slider.is-initialized .slider__items {
  height: 100vh;
  position: sticky;
  top: 0;
}
.slider.is-initialized .slider__item {
  position: static;
}
.slider.is-initialized .st-line {
  display: inline-block;
  line-height: 1.1em;
  overflow: hidden;
}
.slider.is-initialized .st-line > span {
  display: inline-block;
  line-height: inherit;
  transition: transform 1s cubic-bezier(0.19, 1, 0.22, 1);
}
.slider.is-initialized .slider__thumbnail {
  overflow: hidden;
}
.slider.is-initialized .slider__thumbnail div {
  overflow: hidden;
}
.slider.is-initialized .slider__thumbnail div,
.slider.is-initialized .slider__thumbnail img {
  transform-origin: left center;
  transition: transform 1s cubic-bezier(0.19, 1, 0.22, 1);
}
.slider.is-initialized .is-previous .slider__thumbnail div,
.slider.is-initialized .is-previous .st-line > span {
  transform: translateY(-100%);
}
.slider.is-initialized .is-previous img {
  transform: translateY(80%);
}
.slider.is-initialized .is-current .slider__thumbnail div,
.slider.is-initialized .is-current .st-line > span {
  transform: translateY(0%);
}
.slider.is-initialized .is-current img {
  transform: translateY(0%);
}
.slider.is-initialized .is-next .slider__thumbnail div,
.slider.is-initialized .is-next .st-line > span {
  transform: translateY(100%);
}
.slider.is-initialized .is-next img {
  transform: translateY(-80%);
}
@media screen and (min-width: 1024px) {
  .slider__title {
    left: 25%;
    width: 50%;
  }
  .slider__metas {
    display: block;
  }
}
